aboutsummaryrefslogtreecommitdiff
path: root/iconvdata/run-iconv-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'iconvdata/run-iconv-test.sh')
-rwxr-xr-xiconvdata/run-iconv-test.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/iconvdata/run-iconv-test.sh b/iconvdata/run-iconv-test.sh
index 2ef394d4a3..ebafa2f298 100755
--- a/iconvdata/run-iconv-test.sh
+++ b/iconvdata/run-iconv-test.sh
@@ -44,14 +44,18 @@ while read from to targets; do
for t in $targets; do
$ICONV -f $from -t $t testdata/$from > $temp1 ||
{ echo "*** conversion from $from to $t failed"; exit 1; }
+ if test -s testdata/$from..$t; then
+ cmp $temp1 testdata/$from..$t >& /dev/null ||
+ { echo "*** $from -> $t conversion failed"; exit 1; }
+ fi
$ICONV -f $t -t $to -o $temp2 $temp1 ||
{ echo "*** conversion from $t to $to failed"; exit 1; }
test -s $temp1 && cmp testdata/$from $temp2 >& /dev/null ||
- { echo "*** $from -> $t -> $to conversion failed"; exit 1; }
+ { echo "*** $from -> t -> $to conversion failed"; exit 1; }
# All tests ok.
echo "$from -> $t -> $to ok"
- #rm -f $name1 $name2
+ rm -f $temp1 $temp2
done
done < TESTS